Bug 1126909 - Wrong block job type reported for active layer commit
Summary: Wrong block job type reported for active layer commit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt
Version: 7.0
Hardware: All
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Eric Blake
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 14:53 UTC by Adam Litke
Modified: 2015-03-05 07:41 UTC (History)
7 users (show)

Fixed In Version: libvirt-1.2.8-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 07:41:52 UTC


Attachments (Terms of Use)
Reproducer (1014 bytes, application/x-shellscript)
2014-08-05 14:53 UTC, Adam Litke
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0323 normal SHIPPED_LIVE Low: libvirt security, bug fix, and enhancement update 2015-03-05 12:10:54 UTC

Description Adam Litke 2014-08-05 14:53:43 UTC
Created attachment 924231 [details]
Reproducer

Description of problem:

When using the virDomainBlockJobInfo command to check the status of an ongoing block commit operation involving the active layer, the type is reported as 
VIR_DOMAIN_BLOCK_JOB_TYPE_COMMIT when it should be VIR_DOMAIN_BLOCK_JOB_TYPE_ACTIVE_COMMIT.

Version-Release number of selected component (if applicable):
libvirt-daemon-kvm-1.2.7

How reproducible: Always


Steps to Reproduce: See reproducer shell script in attachment


Actual results: type is reported as VIR_DOMAIN_BLOCK_JOB_TYPE_COMMIT


Expected results: type is reported as VIR_DOMAIN_BLOCK_JOB_TYPE_ACTIVE_COMMIT

Comment 2 Eric Blake 2014-08-05 16:33:13 UTC
In POST, since rebase to 1.2.8 will pick up this patch:

commit e8cc973041e7ac4ddeefe343af751863c76687fe
Author: Eric Blake <eblake@redhat.com>
Date:   Tue Aug 5 08:49:32 2014 -0600

    blockjob: correctly report active commit for job info
    
    Commit 232a31b munged job info to report 'active commit' instead of
    'commit' when generating events, but forgot to also munge the polling
    variant of the command.
    
    * src/qemu/qemu_driver.c (qemuDomainBlockJobImpl): Adjust type as
    needed.
    
    Signed-off-by: Eric Blake <eblake@redhat.com>

Comment 4 Shanzhi Yu 2014-10-20 09:12:40 UTC
Reproduce this bug with libvirt-1.2.7-1.el7.x86_64, Verify this bug with libvirt-1.2.8-5.el7.x86_64

Steps as the attachment script Reproducer

Comment 5 Shanzhi Yu 2014-10-23 10:24:01 UTC
Test stpes as below:

with libvirt-1.2.8-5.el7

1. Prepare a running guest 
# virsh list 
 Id    Name                           State
----------------------------------------------------
 2     rhel6.5                        running

2. Create four external disk snapshot 

# for i in $(seq 1 5);do virsh snapshot-create-as rhel6.5 s$i --disk-only;done 
Domain snapshot s1 created
Domain snapshot s2 created
Domain snapshot s3 created
Domain snapshot s4 created
Domain snapshot s5 created

3. Do active block commit, check blockjob info in another terminal at same time 

# virsh blockcommit rhel6.5 vda --active 1 
Block Commit started


in another terminal:

# while true;do virsh blockjob rhel6.5 vda --info;done 
..
Active Block Commit: [ 76 %]    Bandwidth limit: 1 MiB/s
..
Active Block Commit: [100 %]    Bandwidth limit: 1 MiB/s

4. Do inactive block commit, check blockjob info in another terminal at same time (clean env, repeat step 1,2) 

#virsh blockcommit rhel6.5 vda --top vda[1] --base  vda[5]
Block Commit started

in another terminal:

# while true;do virsh blockjob rhel6.5 vda --info;done 
..
Block Commit: [ 82 %]
Block Commit: [ 82 %]
..
Block Commit: [100 %]

Comment 7 errata-xmlrpc 2015-03-05 07:41:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0323.html


Note You need to log in before you can comment on or make changes to this bug.